version: "3.8"
services:
  maven-app:
    image: aliherzalla20/aliherzalla:240425-9930fe0
    depends_on:
      - mysql
    port:
      - 8081:8080
    environment:
      DB_HOST: mysql
      DB_NAME: assignment
      DB_USERNAME: root
      DB_PASSWORD: P@ssw0rd
  mysql:
    image: mysql:5.7
    ports:
      - 3306:3306
    environment:
      MYSQL_ROOT_PASSWORD: P@ssw0rd
      MYSQL_DATABASE: assignment